import 'dart:isolate';
import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart' show rootBundle;
import 'package:geiger_localstorage/geiger_localstorage.dart';
import 'package:cloud_adapter/cloud_adapter.dart';
import 'package:cloud_adapter/src/cloud_models/event.dart';
import 'package:cloud_adapter/src/service/cloud_service/cloud_service.dart';
import 'package:geiger_api/geiger_api.dart';
import 'package:test/test.dart';
import 'package:uuid/uuid.dart';

void replicationTest() async{
  test('Replication Test', () async {
    // Create new replicationController instance
    ReplicationController replicationController = ReplicationService();
    // Initialize GEIGER Storage
    await replicationController.initGeigerStorage();
    // Start geigerReplicatioin function
    await replicationController.geigerReplication(replicationController.deleteHandler,
        replicationController.createHandler,
        replicationController.renameHanlder,
        replicationController.updateHanlder);
  });
}

void pairingTest() async{
  // geigerReplication
  test('Pairing Test', () async {});
}

void main() async {
  print("START CLOUD SERVICE TESTS");
  replicationTest();
  pairingTest();
}